<?php


function portfolio_magazine_layout_customizer_settings( $wp_customize ){


	//ADD PANEL
	$wp_customize->add_panel('portfolio_magazine_site_layout_option_panel',
		array(
			'title'      => esc_html__('Portfolio Magazine - Customize Layout', 'portfolio-magazine'),
			'priority'   => 2,
			'capability' => 'edit_theme_options',
		)
	);

	//BEGIN ADVERT BOX SECTION
	$wp_customize->add_section('portfolio_magazine_header_box_section', array(
		'title' => __('Portfolio Magazine - Logo and Advert Section', 'portfolio-magazine'),
		'priority' => 10,
		'panel' => 'portfolio_magazine_site_layout_option_panel',
	));

	$wp_customize->add_setting('portfolio_magazine_header_box_display_settings', array(
	    'default' => __('none', 'portfolio-magazine'),
	    'sanitize_callback'  => 'sanitize_text_field',
	));

	$wp_customize->add_control(new WP_Customize_Control($wp_customize, 'portfolio_magazine_header_box_display_control', array(
	    'label'    => __('Display Logo and Ad Section', 'portfolio-magazine'),
	    'section'  => 'portfolio_magazine_header_box_section',
	    'settings' => 'portfolio_magazine_header_box_display_settings',
	    'type'     	=> 'select',
	    'choices'	=> array(
	    				'block' => __('Yes', 'portfolio-magazine'),
	    				'none' 	=> __('No', 'portfolio-magazine'),
	    			   )
	)));

	
	//LOGO LINK COLOR
	$wp_customize->add_setting('portfolio_magazine_header_box_logo_link_color_settings', array(
	    'default' => __('#353535', 'portfolio-magazine'),
	    'sanitize_callback'  => 'sanitize_hex_color',
	));

	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'portfolio_magazine_header_box_logo_link_color_control', array(
	    'label'    => __('Logo Text Color', 'portfolio-magazine'),
	    'section'  => 'portfolio_magazine_header_box_section',
	    'settings' => 'portfolio_magazine_header_box_logo_link_color_settings',
	)));


	//AD DISPLAY
	$wp_customize->add_setting('portfolio_magazine_ad_img_display_settings', array(
	    'default' => __('none', 'portfolio-magazine'),
	    'sanitize_callback'  => 'sanitize_text_field',
	));

	$wp_customize->add_control(new WP_Customize_Control($wp_customize, 'portfolio_magazine_ad_img_display_control', array(
	    'label'    => __('Display Ad', 'portfolio-magazine'),
	    'section'  => 'portfolio_magazine_header_box_section',
	    'settings' => 'portfolio_magazine_ad_img_display_settings',
	    'type'     	=> 'select',
	    'choices'	=> array(
	    				'block' => __('Yes',  'portfolio-magazine'),
	    				'none' 	=> __('No',  'portfolio-magazine'),
	    			   )
	)));


	//UPLOAD AD
    $wp_customize->add_setting('portfolio_magazine_ad_img_settings', array(
        'default' => __('#', 'portfolio-magazine'),
        'sanitize_callback'  => 'esc_url_raw',
    ));

    $wp_customize->add_control(new WP_Customize_Image_Control($wp_customize, 'portfolio_magazine_ad_img_control', array(
        'label'    => __('Upload Advert Image', 'portfolio-magazine'),
        'section'  => 'portfolio_magazine_header_box_section',
        'settings' => 'portfolio_magazine_ad_img_settings',
        'width'    => 1000,
        'height'   => 1000,
    )));

    //AD LINK
	$wp_customize->add_setting('portfolio_magazine_ad_img_link_settings', array(
	    'default' => __('#', 'portfolio-magazine'),
	    'sanitize_callback'  => 'esc_url_raw',
	));

	$wp_customize->add_control(new WP_Customize_Control($wp_customize, 'portfolio_magazine_ad_img_link_control', array(
	    'label'    => __('Enter Ad Link', 'portfolio-magazine'),
	    'section'  => 'portfolio_magazine_header_box_section',
	    'settings' => 'portfolio_magazine_ad_img_link_settings',
	    'type'     => 'url',
	)));



	//BEGIN NAVIGATION BACKGROUND COLOR SECTION
	$wp_customize->add_section('portfolio_magazine_navbar_section', array(
		'title' => __('Portfolio Magazine - Navbar BG Color', 'portfolio-magazine'),
		'priority' => 10,
		'panel' => 'portfolio_magazine_site_layout_option_panel',
	));

	
	//NAVBAR SECTION BACKGROUND COLOR
	$wp_customize->add_setting('portfolio_magazine_navbar_section_bg_color_settings', array(
	    'default' => __('#ffffff', 'portfolio-magazine'),
	    'sanitize_callback'  => 'sanitize_hex_color',
	));

	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'portfolio_magazine_navbar_section_bg_color_control', array(
	    'label'    => __('Navbar Background Color', 'portfolio-magazine'),
	    'section'  => 'portfolio_magazine_navbar_section',
	    'settings' => 'portfolio_magazine_navbar_section_bg_color_settings',
	)));

	//NAVBAR SECTION TEXT COLOR
	$wp_customize->add_setting('portfolio_magazine_navbar_section_text_color_settings', array(
	    'default' => __('#353535', 'portfolio-magazine'),
	    'sanitize_callback'  => 'sanitize_hex_color',
	));

	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'portfolio_magazine_navbar_section_text_color_control', array(
	    'label'    => __('Navbar Text Color', 'portfolio-magazine'),
	    'section'  => 'portfolio_magazine_navbar_section',
	    'settings' => 'portfolio_magazine_navbar_section_text_color_settings',
	)));

	//Portfolio Magazine INDEX SECTION CLASS NAME
	$wp_customize->add_section('portfolio_magazine_index_class_name_section', array(
		'title' => __('Portfolio Magazine - Change Index Posts Style', 'portfolio-magazine'),
		'priority' => 9,
		'panel'	=> 'portfolio_magazine_site_layout_option_panel',
	));

	
	$wp_customize->add_setting('portfolio_magazine_index_class_name_settings', array(
	    'default' => __('portfolio-magazine-index-fifteen', 'portfolio-magazine'),
	    'sanitize_callback'  => 'sanitize_text_field',
	));

	$wp_customize->add_control(new WP_Customize_Control($wp_customize, 'portfolio_magazine_index_class_name_display_control', array(
	    'label'    => __('Change Style', 'portfolio-magazine'),
	    'section'  => 'portfolio_magazine_index_class_name_section',
	    'settings' => 'portfolio_magazine_index_class_name_settings',
	    'type'     	=> 'select',
	    'choices'	=> array(
	    				'portfolio-magazine-index-fifteen' 		=> __('List Layout (No Border) - Right Sidebar', 'portfolio-magazine'),
	    				'portfolio-magazine-index-sixteen' 		=> __('List Layout (No Border - Two Columns) - No Sidebar', 'portfolio-magazine'),
	    			   )
	)));



	//BEGIN MAGAZINE FEATURED SECTION
	$wp_customize->add_section('portfolio_magazine_feature_section', array(
		'title' => __('Portfolio Magazine - Featured Section', 'portfolio-magazine'),
		'priority' => 8,
		'panel' => 'portfolio_magazine_site_layout_option_panel',
	));

	$wp_customize->add_setting('portfolio_magazine_feature_display_settings', array(
	    'default' => __('block', 'portfolio-magazine'),
	    'sanitize_callback'  => 'sanitize_text_field',
	));

	$wp_customize->add_control(new WP_Customize_Control($wp_customize, 'portfolio_magazine_feature_display_control', array(
	    'label'    => __('Display Featured Section', 'portfolio-magazine'),
	    'section'  => 'portfolio_magazine_feature_section',
	    'settings' => 'portfolio_magazine_feature_display_settings',
	    'type'     	=> 'select',
	    'choices'	=> array(
	    				'block' => __('Yes', 'portfolio-magazine'),
	    				'none' 	=> __('No', 'portfolio-magazine'),
	    			   )
	)));

	
	//CHANGE STYLE FEATURE SECTION
	$wp_customize->add_setting('portfolio_magazine_feature_change_style_settings', array(
	    'default' => __('portfolio-magazine-feature-five', 'portfolio-magazine'),
	    'sanitize_callback'  => 'sanitize_text_field',
	));

	$wp_customize->add_control(new WP_Customize_Control($wp_customize, 'portfolio_magazine_feature_change_style_control', array(
	    'label'    => __('Change Style', 'portfolio-magazine'),
	    'section'  => 'portfolio_magazine_feature_section',
	    'settings' => 'portfolio_magazine_feature_change_style_settings',
	    'type'     	=> 'select',
	    'choices'	=> array(
	    				'portfolio-magazine-feature-five' 		=> __('Style 1', 'portfolio-magazine'),
	    				'portfolio-magazine-feature' 	=> __('Style 2 - ( 2 Columns )', 'portfolio-magazine'),
	    			   )
	)));


		// BEGIN IMAGE GALLERY SECTION
	$wp_customize->add_section('portfolio_magazine_img_gallery_section', array(
		'title' => __('Portfolio Magazine - Image Gallery Section', 'portfolio-magazine'),
		'priority' => 9,
		'panel' => 'portfolio_magazine_site_layout_option_panel',
	));

	$wp_customize->add_setting('portfolio_magazine_img_gallery_display_settings', array(
	    'default' => __('block', 'portfolio-magazine'),
	    'sanitize_callback'  => 'sanitize_text_field',
	));

	$wp_customize->add_control(new WP_Customize_Control($wp_customize, 'portfolio_magazine_img_gallery_display_control', array(
	    'label'    => __('Display Image Gallery Section', 'portfolio-magazine'),
	    'section'  => 'portfolio_magazine_img_gallery_section',
	    'settings' => 'portfolio_magazine_img_gallery_display_settings',
	    'type'     	=> 'select',
	    'choices'	=> array(
	    				'block' => __('Yes', 'portfolio-magazine'),
	    				'none' 	=> __('No', 'portfolio-magazine'),
	    			   )
	)));


	//BEGIN MAGAZINE STACK MAG SECTION
	$wp_customize->add_section('portfolio_magazine_stack_mag_section', array(
		'title' => __('Portfolio Magazine - Stack Mag Section', 'portfolio-magazine'),
		'priority' => 9,
		'panel' => 'portfolio_magazine_site_layout_option_panel',
	));

	$wp_customize->add_setting('portfolio_magazine_stack_mag_display_settings', array(
	    'default' => __('block', 'portfolio-magazine'),
	    'sanitize_callback'  => 'sanitize_text_field',
	));

	$wp_customize->add_control(new WP_Customize_Control($wp_customize, 'portfolio_magazine_stack_mag_display_control', array(
	    'label'    => __('Display Stack Mag Section', 'portfolio-magazine'),
	    'section'  => 'portfolio_magazine_stack_mag_section',
	    'settings' => 'portfolio_magazine_stack_mag_display_settings',
	    'type'     	=> 'select',
	    'choices'	=> array(
	    				'block' => __('Yes', 'portfolio-magazine'),
	    				'none' 	=> __('No', 'portfolio-magazine'),
	    			   )
	)));



	//BEGIN Portfolio Magazine READ MORE BACKGROUND COLOR SECTION
	$wp_customize->add_section('portfolio_magazine_readmore_section', array(
		'title' => __('Portfolio Magazine - Read More BG Color', 'portfolio-magazine'),
		'priority' => 11,
		'panel' => 'portfolio_magazine_site_layout_option_panel',
	));

	
	//Portfolio Magazine READ MORE SECTION BACKGROUND COLOR
	$wp_customize->add_setting('portfolio_magazine_readmore_bg_color_settings', array(
	    'default' => __('#ffffff', 'portfolio-magazine'),
	    'sanitize_callback'  => 'sanitize_hex_color',
	));

	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'portfolio_magazine_readmore_bg_color_control', array(
	    'label'    => __('Read More Background Color', 'portfolio-magazine'),
	    'section'  => 'portfolio_magazine_readmore_section',
	    'settings' => 'portfolio_magazine_readmore_bg_color_settings',
	)));
	
	//Portfolio Magazine READ MORE SECTION BACKGROUND COLOR
	$wp_customize->add_setting('portfolio_magazine_readmore_text_color_settings', array(
	    'default' => __('#424242', 'portfolio-magazine'),
	    'sanitize_callback'  => 'sanitize_hex_color',
	));

	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'portfolio_magazine_readmore_text_color_control', array(
	    'label'    => __('Read More Text Color', 'portfolio-magazine'),
	    'section'  => 'portfolio_magazine_readmore_section',
	    'settings' => 'portfolio_magazine_readmore_text_color_settings',
	)));

	//BEGIN SIDEBAR BACKGROUND COLOR SECTION
	$wp_customize->add_section('portfolio_magazine_sidebar_section', array(
		'title' => __('Portfolio Magazine - Sidebar Header BG Color', 'portfolio-magazine'),
		'priority' => 11,
		'panel' => 'portfolio_magazine_site_layout_option_panel',
	));

	
	//SIDEBAR SECTION BACKGROUND COLOR
	$wp_customize->add_setting('portfolio_magazine_sidebar_header_bg_color_settings', array(
	    'default' => __('#ffffff', 'portfolio-magazine'),
	    'sanitize_callback'  => 'sanitize_hex_color',
	));

	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'portfolio_magazine_sidebar_header_bg_color_control', array(
	    'label'    => __('Sidebar Header Background Color', 'portfolio-magazine'),
	    'section'  => 'portfolio_magazine_sidebar_section',
	    'settings' => 'portfolio_magazine_sidebar_header_bg_color_settings',
	)));

		//SIDEBAR SECTION HEADER TEXT COLOR
	$wp_customize->add_setting('portfolio_magazine_sidebar_header_title_color_settings', array(
	    'default' => __('#353535', 'portfolio-magazine'),
	    'sanitize_callback'  => 'sanitize_hex_color',
	));

	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'portfolio_magazine_sidebar_header_text_color_control', array(
	    'label'    => __('Sidebar Header Text Color', 'portfolio-magazine'),
	    'section'  => 'portfolio_magazine_sidebar_section',
	    'settings' => 'portfolio_magazine_sidebar_header_title_color_settings',
	)));

	//BEGIN Portfolio Magazine PAGINATION BACKGROUND COLOR SECTION
	$wp_customize->add_section('portfolio_magazine_pagination_section', array(
		'title' => __('Portfolio Magazine - Pagination BG Color', 'portfolio-magazine'),
		'priority' => 11,
		'panel' => 'portfolio_magazine_site_layout_option_panel',
	));

	
	//Portfolio Magazine PAGINATION SECTION BACKGROUND COLOR
	$wp_customize->add_setting('portfolio_magazine_pagination_bg_color_settings', array(
	    'default' => __('#ffffff', 'portfolio-magazine'),
	    'sanitize_callback'  => 'sanitize_hex_color',
	));

	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'portfolio_magazine_pagination_bg_color_control', array(
	    'label'    => __('Page Numbers Background Color', 'portfolio-magazine'),
	    'section'  => 'portfolio_magazine_pagination_section',
	    'settings' => 'portfolio_magazine_pagination_bg_color_settings',
	)));


	//BEGIN Portfolio Magazine SEARCH BUTTON SIDEBAR BACKGROUND COLOR SECTION
	$wp_customize->add_section('portfolio_magazine_search_btn_sidebar_section', array(
		'title' => __('Portfolio Magazine - Search Button BG Color', 'portfolio-magazine'),
		'priority' => 11,
		'panel' => 'portfolio_magazine_site_layout_option_panel',
	));

	
	//Portfolio Magazine SEARCH BUTTON SIDEBAR SECTION BACKGROUND COLOR
	$wp_customize->add_setting('portfolio_magazine_search_btn_sidebar_bg_color_settings', array(
	    'default' => __('#ffffff', 'portfolio-magazine'),
	    'sanitize_callback'  => 'sanitize_hex_color',
	));

	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'portfolio_magazine_search_btn_sidebar_bg_color_control', array(
	    'label'    => __('Search Button Sidebar Background Color', 'portfolio-magazine'),
	    'section'  => 'portfolio_magazine_search_btn_sidebar_section',
	    'settings' => 'portfolio_magazine_search_btn_sidebar_bg_color_settings',
	)));



	//BEGIN FOOTER BACKGROUND COLOR SECTION
	$wp_customize->add_section('portfolio_magazine_footer_section', array(
		'title' => __('Portfolio Magazine - Footer BG Color', 'portfolio-magazine'),
		'priority' => 11,
		'panel' => 'portfolio_magazine_site_layout_option_panel',
	));

	
	//FOOTER SECTION BACKGROUND COLOR
	$wp_customize->add_setting('portfolio_magazine_footer_bg_color_settings', array(
	    'default' => __('#353535', 'portfolio-magazine'),
	    'sanitize_callback'  => 'sanitize_hex_color',
	));

	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'portfolio_magazine_footer_bg_color_control', array(
	    'label'    => __('footer Header Background Color', 'portfolio-magazine'),
	    'section'  => 'portfolio_magazine_footer_section',
	    'settings' => 'portfolio_magazine_footer_bg_color_settings',
	)));


	//FOOTER SECTION LINK TEXT COLOR
	$wp_customize->add_setting('portfolio_magazine_footer_text_link_color_settings', array(
	    'default' => __('#fff', 'portfolio-magazine'),
	    'sanitize_callback'  => 'sanitize_hex_color',
	));

	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'portfolio_magazine_footer_text_link_color_control', array(
	    'label'    => __('Footer Link Text Color', 'portfolio-magazine'),
	    'section'  => 'portfolio_magazine_footer_section',
	    'settings' => 'portfolio_magazine_footer_text_link_color_settings',
	)));

	//FOOTER SECTION HEADER TITLE COLOR
	$wp_customize->add_setting('portfolio_magazine_footer_header_text_color_settings', array(
	    'default' => __('#fff', 'portfolio-magazine'),
	    'sanitize_callback'  => 'sanitize_hex_color',
	));

	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'portfolio_magazine_footer_header_text_color_control', array(
	    'label'    => __('Footer Header Title Text Color', 'portfolio-magazine'),
	    'section'  => 'portfolio_magazine_footer_section',
	    'settings' => 'portfolio_magazine_footer_header_text_color_settings',
	)));

	//FOOTER SECTION DISPLAY HEADER TITLE
	$wp_customize->add_setting('portfolio_magazine_footer_display_header_text_settings', array(
	    'default' => __('block', 'portfolio-magazine'),
	    'sanitize_callback'  => 'sanitize_text_field',
	));

	$wp_customize->add_control(new WP_Customize_Control($wp_customize, 'portfolio_magazine_footer_display_header_text_control', array(
	    'label'    => __('Footer Display Header Title', 'portfolio-magazine'),
	    'section'  => 'portfolio_magazine_footer_section',
	    'settings' => 'portfolio_magazine_footer_display_header_text_settings',
	    'type'     	=> 'select',
	    'choices'	=> array(
	    				'block' => __('Yes', 'portfolio-magazine'),
	    				'none' 	=> __('No', 'portfolio-magazine'),
	    			   )
	)));

	$wp_customize->get_setting('portfolio_magazine_header_box_display_settings')->transport 				= 	'postMessage';
	$wp_customize->get_setting('portfolio_magazine_header_box_logo_link_color_settings')->transport 		= 	'postMessage';
	$wp_customize->get_setting('portfolio_magazine_navbar_section_bg_color_settings')->transport 			= 	'postMessage';
	$wp_customize->get_setting('portfolio_magazine_navbar_section_text_color_settings')->transport 		= 	'postMessage';
    $wp_customize->get_setting('portfolio_magazine_readmore_bg_color_settings')->transport 				= 	'postMessage';
    $wp_customize->get_setting('portfolio_magazine_readmore_text_color_settings')->transport 				= 	'postMessage';
    $wp_customize->get_setting('portfolio_magazine_sidebar_header_bg_color_settings')->transport 			= 	'postMessage';
    $wp_customize->get_setting('portfolio_magazine_sidebar_header_title_color_settings')->transport 		=	'postMessage';
    $wp_customize->get_setting('portfolio_magazine_search_btn_sidebar_bg_color_settings')->transport 		= 	'postMessage';
    $wp_customize->get_setting('portfolio_magazine_pagination_bg_color_settings')->transport 				= 	'postMessage';
    $wp_customize->get_setting('portfolio_magazine_footer_bg_color_settings')->transport 					= 	'postMessage';
    $wp_customize->get_setting('portfolio_magazine_footer_text_link_color_settings')->transport 			= 	'postMessage';
    $wp_customize->get_setting('portfolio_magazine_footer_header_text_color_settings')->transport 		= 	'postMessage';
    $wp_customize->get_setting('portfolio_magazine_footer_display_header_text_settings')->transport 		= 	'postMessage';


}


//CSS
function portfolio_magazine_layout_custom_css(){
	?>

<style type="text/css">

.header-box .ad-box-img {
	display: <?php echo esc_html(get_theme_mod('portfolio_magazine_ad_img_display_settings')); ?>
}

.header-box {
	display: <?php echo esc_html(get_theme_mod('portfolio_magazine_header_box_display_settings')); ?>;
}

.header-box .logo .logo-text-link {
	color: <?php echo esc_html(get_theme_mod('portfolio_magazine_header_box_logo_link_color_settings')); ?>;
}

.nav-outer {
	background: <?php echo esc_html(get_theme_mod('portfolio_magazine_navbar_section_bg_color_settings')); ?>;
}

.theme-nav ul li a {
	color: <?php echo esc_html(get_theme_mod('portfolio_magazine_navbar_section_text_color_settings')); ?>;
}

.portfolio-magazine-index .blog-2-col-inner .items .items-inner .img-box .details-box .details-box-inner .btn-case a {
	background: <?php echo esc_html(get_theme_mod('portfolio_magazine_readmore_bg_color_settings')); ?>;
	color: <?php echo esc_html( get_theme_mod('portfolio_magazine_readmore_text_color_settings')); ?>;
}

.portfolio-magazine-no-feature {
	display: <?php echo esc_html(get_theme_mod('portfolio_magazine_feature_display_settings')); ?>;
}

.portfolio-magazine-no-3-col-blog-post {
	display: <?php echo esc_html(get_theme_mod('portfolio_magazine_img_gallery_display_settings')); ?>;
}


.portfolio-magazine-no-diff {
	display: <?php echo esc_html(get_theme_mod('portfolio_magazine_stack_mag_display_settings')); ?>;
}

.sidebar .sidebar-inner .sidebar-items h2 {
	background: <?php echo esc_html(get_theme_mod('portfolio_magazine_sidebar_header_bg_color_settings')); ?>;
	color: <?php echo esc_html(get_theme_mod('portfolio_magazine_sidebar_header_title_color_settings')); ?>;
}

.sidebar .sidebar-inner .sidebar-items .searchform div #searchsubmit {
	background: <?php echo esc_html(get_theme_mod('portfolio_magazine_search_btn_sidebar_bg_color_settings')); ?>;
}

.page-numbers {
	background: <?php echo esc_html(get_theme_mod('portfolio_magazine_pagination_bg_color_settings')); ?>;	
}

.footer-4-col {
	background: <?php echo esc_html(get_theme_mod('portfolio_magazine_footer_bg_color_settings')); ?>; 
}

.footer-4-col .inner .footer .footer-inner .footer-items a {
	color: <?php echo esc_html(get_theme_mod('portfolio_magazine_footer_text_link_color_settings')); ?>;
}

.footer-4-col .inner .footer .footer-inner .footer-items li h2 {
	display: <?php echo esc_html(get_theme_mod('portfolio_magazine_footer_display_header_text_settings')); ?>;
	color: <?php echo esc_html(get_theme_mod('portfolio_magazine_footer_header_text_color_settings')); ?>;
}

</style>


	<?php

}


function portfolio_magazine_layout_customizer_live_preview()
{
	wp_enqueue_script( 
		  'portfolio-magazine-site-layout-customizer',			
		  get_template_directory_uri().'/js/portfolio-magazine-layout-customizer.js',
		  array( 'jquery','customize-preview' ),	
		  '',						
		  true						
	);
}




add_action('wp_head', 'portfolio_magazine_layout_custom_css');
add_action('customize_register', 'portfolio_magazine_layout_customizer_settings');
add_action( 'customize_preview_init', 'portfolio_magazine_layout_customizer_live_preview' );


?>